summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorunknown <df@pippilotta.erinye.com>2007-04-10 13:15:07 +0200
committerunknown <df@pippilotta.erinye.com>2007-04-10 13:15:07 +0200
commitb4a35ca54b38039063b189a7383ebd6382032e17 (patch)
tree9a752eacba8243d6191ed00b60196cb222e19d07 /scripts
parentb77c664ea82bbd3286a750344e2dac5772d5423b (diff)
parentd6a3989a2325e8882fc0d725a220155e33af7ff4 (diff)
downloadmariadb-git-b4a35ca54b38039063b189a7383ebd6382032e17.tar.gz
Merge pippilotta.erinye.com:/shared/home/df/mysql/build/mysql-5.1-release
into pippilotta.erinye.com:/shared/home/df/mysql/build/mysql-5.1-build-work CMakeLists.txt: Auto merged mysql-test/r/mysqlbinlog.result: Auto merged mysql-test/t/mysqlbinlog.test: Auto merged scripts/make_binary_distribution.sh: Auto merged scripts/make_win_bin_dist: Auto merged sql/set_var.cc: Auto merged support-files/mysql.spec.sh: merge fix
Diffstat (limited to 'scripts')
-rw-r--r--scripts/make_binary_distribution.sh43
-rwxr-xr-xscripts/make_win_bin_dist28
2 files changed, 50 insertions, 21 deletions
diff --git a/scripts/make_binary_distribution.sh b/scripts/make_binary_distribution.sh
index 013084475b1..83d7e237a54 100644
--- a/scripts/make_binary_distribution.sh
+++ b/scripts/make_binary_distribution.sh
@@ -54,6 +54,21 @@ for arg do
esac
done
+# Avoid too long command lines for cp (bug#27489)
+MCP() {
+ for i
+ do
+ last=$i
+ done
+ for i
+ do
+ if test "x$i" != "x$last"
+ then
+ cp -p $i $last
+ fi
+ done
+}
+
# Remove vendor from $system
system=`echo $system | sed -e 's/[a-z]*-\(.*\)/\1/g'`
@@ -259,25 +274,25 @@ copyfileto $BASE/mysql-test \
mysql-test/valgrind.supp \
netware/mysql_test_run.nlm netware/install_test_db.ncf
-$CP mysql-test/lib/*.pl $BASE/mysql-test/lib
-$CP mysql-test/t/*.def $BASE/mysql-test/t
-$CP mysql-test/include/*.inc $BASE/mysql-test/include
-$CP mysql-test/include/*.test $BASE/mysql-test/include
-$CP mysql-test/t/*.def $BASE/mysql-test/t
-$CP mysql-test/std_data/*.dat mysql-test/std_data/*.frm \
+MCP mysql-test/lib/*.pl $BASE/mysql-test/lib
+MCP mysql-test/t/*.def $BASE/mysql-test/t
+MCP mysql-test/include/*.inc $BASE/mysql-test/include
+MCP mysql-test/include/*.test $BASE/mysql-test/include
+MCP mysql-test/t/*.def $BASE/mysql-test/t
+MCP mysql-test/std_data/*.dat mysql-test/std_data/*.frm \
mysql-test/std_data/*.MYD mysql-test/std_data/*.MYI \
mysql-test/std_data/*.pem mysql-test/std_data/Moscow_leap \
mysql-test/std_data/des_key_file mysql-test/std_data/*.*001 \
mysql-test/std_data/*.cnf mysql-test/std_data/*.MY* \
$BASE/mysql-test/std_data
-$CP mysql-test/t/*.test $BASE/mysql-test/t
-$CP mysql-test/t/*.imtest mysql-test/t/*.disabled $BASE/mysql-test/t
-$CP mysql-test/t/*.opt mysql-test/t/*.slave-mi $BASE/mysql-test/t
-$CP mysql-test/t/*.sh mysql-test/t/*.sql $BASE/mysql-test/t
-$CP mysql-test/r/*.result $BASE/mysql-test/r
-$CP mysql-test/r/*.require $BASE/mysql-test/r
-$CP mysql-test/extra/binlog_tests/*.test $BASE/mysql-test/extra/binlog_tests
-$CP mysql-test/extra/rpl_tests/*.test $BASE/mysql-test/extra/rpl_tests
+MCP mysql-test/t/*.test $BASE/mysql-test/t
+MCP mysql-test/t/*.imtest mysql-test/t/*.disabled $BASE/mysql-test/t
+MCP mysql-test/t/*.opt mysql-test/t/*.slave-mi $BASE/mysql-test/t
+MCP mysql-test/t/*.sh mysql-test/t/*.sql $BASE/mysql-test/t
+MCP mysql-test/r/*.result $BASE/mysql-test/r
+MCP mysql-test/r/*.require $BASE/mysql-test/r
+MCP mysql-test/extra/binlog_tests/*.test $BASE/mysql-test/extra/binlog_tests
+MCP mysql-test/extra/rpl_tests/*.test $BASE/mysql-test/extra/rpl_tests
if [ $BASE_SYSTEM != "netware" ] ; then
chmod a+x $BASE/bin/*
diff --git a/scripts/make_win_bin_dist b/scripts/make_win_bin_dist
index 1cd4141f532..862c572a75a 100755
--- a/scripts/make_win_bin_dist
+++ b/scripts/make_win_bin_dist
@@ -127,6 +127,15 @@ if [ -e $DESTDIR ] ; then
fi
# ----------------------------------------------------------------------
+# Adjust target name if needed, release with debug info has another name
+# ----------------------------------------------------------------------
+
+if [ x"$TARGET" = x"release" -a -f "client/relwithdebinfo/mysql.exe" ]
+then
+ TARGET="relwithdebinfo"
+fi
+
+# ----------------------------------------------------------------------
# Copy executables, and client DLL (FIXME why?)
# ----------------------------------------------------------------------
@@ -134,18 +143,20 @@ trap 'echo "Clearning up and exiting..." ; rm -fr $DESTDIR; exit 1' ERR
mkdir $DESTDIR
mkdir $DESTDIR/bin
-cp client/$TARGET/*.exe $DESTDIR/bin/
-cp extra/$TARGET/*.exe $DESTDIR/bin/
-cp storage/myisam/$TARGET/*.exe $DESTDIR/bin/
-cp server-tools/instance-manager/$TARGET/*.exe $DESTDIR/bin/
-cp tests/$TARGET/*.exe $DESTDIR/bin/
-cp libmysql/$TARGET/*.exe $DESTDIR/bin/
-cp libmysql/$TARGET/libmysql.dll $DESTDIR/bin/
+cp client/$TARGET/*.exe $DESTDIR/bin/
+cp extra/$TARGET/*.exe $DESTDIR/bin/
+cp storage/myisam/$TARGET/*.exe $DESTDIR/bin/
+cp server-tools/instance-manager/$TARGET/*.{exe,map,pdb} $DESTDIR/bin/
+cp tests/$TARGET/*.exe $DESTDIR/bin/
+cp libmysql/$TARGET/*.exe $DESTDIR/bin/
+cp libmysql/$TARGET/libmysql.dll $DESTDIR/bin/
# FIXME really needed?!
mv $DESTDIR/bin/comp_err.exe $DESTDIR/bin/comp-err.exe
cp sql/$TARGET/mysqld.exe $DESTDIR/bin/mysqld$EXE_SUFFIX.exe
+cp sql/$TARGET/mysqld.pdb $DESTDIR/bin/mysqld$EXE_SUFFIX.pdb
+cp sql/$TARGET/mysqld.map $DESTDIR/bin/mysqld$EXE_SUFFIX.map
if [ x"$PACK_DEBUG" = "" -a -f "sql/debug/mysqld.exe" -o \
x"$PACK_DEBUG" = "yes" ] ; then
@@ -343,6 +354,9 @@ done
cp -pR sql/share $DESTDIR/
+# The SQL initiation code is really expected to be in "share"
+mv $DESTDIR/scripts/*.sql $DESTDIR/share/ || true
+
# ----------------------------------------------------------------------
# Copy other files specified on command line DEST=SOURCE
# ----------------------------------------------------------------------